<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>改进版</title>
	<style type="text/css">
		div{float: left;margin-left: 10px;}
		.b1{
			width:80px;
			height:80px;
			border: 1px solid red;
		}
		.b2{
			width:200px;
			height:200px;
			display: none;
			border: 1px solid red;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
			var oDiv1=document.getElementById('box1');
			var oDiv2=document.getElementById('box2');
			var timer=null;
			oDiv2.onmouseover=oDiv1.onmouseover=function(){
				oDiv2.style.display="block";
				clearTimeout(timer);
			};
			oDiv2.onmouseout=oDiv1.onmouseout=function(){
				timer=setTimeout(function(){
					oDiv2.style.display="none";
				},500);
			};
		};
	</script>
</head>
<body>
	<div id="box1" class="b1"></div>
	<div id="box2" class="b2"></div>
</body>
</html>